% PFrameT3ElementStiffness.m (function)
% Returns the local stiffness matrix [6x6] of a 2D beam element Type 3
% Beam -------o with hinge at end j (P2' type, hinge at end j)
% This file is part of the PFrameMatlab program

function  y = PFrameT3ElementStiffness(E,A,I,L)

y = [ E*A/L       0              0        -E*A/L       0           0  ;    
        0     3*E*I/(L^3)   3*E*I/(L^2)      0     -3*E*I/(L^3)    0  ;  
        0     3*E*I/(L^2)    3*E*I/L         0     -3*E*I/(L^2)    0  ;
     -E*A/L       0              0         E*A/L       0           0  ;
        0    -3*E*I/(L^3)  -3*E*I/(L^2)      0      3*E*I/(L^3)    0  ;     
        0         0              0           0         0           0] ;
    
% End of file -------------------------------------------------------------